Planets¶
10 endpoint(s).
| Endpoint | Method | Summary | Auth |
|---|---|---|---|
/api/v1/planets/aspects |
POST |
Planetary Aspects (Graha Drishti) | |
/api/v1/planets/avastha |
POST |
Planetary States (Avastha) | |
/api/v1/planets/combustion |
POST |
Combustion Analysis | |
/api/v1/planets/conjunctions |
POST |
Planetary Conjunctions (Yuti) | |
/api/v1/planets/dignity |
POST |
Planetary Dignity | |
/api/v1/planets/karakas |
POST |
Natural Karakas | |
/api/v1/planets/lordships |
POST |
House Lordships | |
/api/v1/planets/positions |
POST |
All Planet Positions | |
/api/v1/planets/relationships |
POST |
Planetary Relationships (Mitra-Shatru) | |
/api/v1/planets/retrograde |
POST |
Retrograde Status |
POST /api/v1/planets/aspects¶
Planetary Aspects (Graha Drishti)
Get all planetary aspects (Graha Drishti).
All planets have 7th aspect. Special aspects: - Mars: 4th and 8th aspects - Jupiter: 5th and 9th aspects - Saturn: 3rd and 10th aspects - Rahu/Ketu: 5th and 9th aspects
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/planets/aspects' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/planets/avastha¶
Planetary States (Avastha)
Get planetary states (Avastha) for all planets.
Includes: - Baladi Avastha (age states) - Jagradadi Avastha (alertness states) - Deeptadi Avastha (dignity-based states)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/planets/avastha' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/planets/combustion¶
Combustion Analysis
Analyze planetary combustion (Astangata).
A planet becomes combust when too close to the Sun, losing its power. Combustion thresholds vary by planet.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/planets/combustion' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/planets/conjunctions¶
Planetary Conjunctions (Yuti)
Get planetary conjunctions (Yuti).
Planets within the same sign form a conjunction. The orb and exact degree distance affects conjunction strength.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/planets/conjunctions' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/planets/dignity¶
Planetary Dignity
Get dignity status for all planets.
Checks for: - Exaltation (Uchcha) - Debilitation (Neecha) - Own Sign (Swakshetra) - Mool Trikona - Friend's sign / Enemy's sign
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/planets/dignity' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/planets/karakas¶
Natural Karakas
Get natural karakas (significators) for all planets.
Each planet naturally signifies certain aspects of life regardless of house placement.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/planets/karakas' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/planets/lordships¶
House Lordships
Get house lordships for all planets.
Each planet rules 1-2 houses based on the ascendant. Lordship determines functional benefic/malefic nature.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/planets/lordships' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/planets/positions¶
All Planet Positions
Get positions of all 9 planets (Sun through Ketu).
Returns for each planet: - Longitude and latitude - Sign and degree - Nakshatra and pada - Retrograde status - Speed (degrees per day)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/planets/positions' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/planets/relationships¶
Planetary Relationships (Mitra-Shatru)
Get natural and temporary planetary relationships.
Natural relationships are fixed. Temporary relationships depend on placement in current chart. Combined relationship = Natural + Temporary.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/planets/relationships' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/planets/retrograde¶
Retrograde Status
Get retrograde status and analysis for all planets.
Retrograde planets: - Have modified effects - May give delayed results - Often indicate karmic matters
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/planets/retrograde' \
-H 'Authorization: Bearer <API_KEY>'